> This page is for Itential Platform On-Prem, version 6 (default).
> For other versions, use one of these documentation indexes:
> - 6 (default): https://docs.itential.com/itential-platform/6/llms.txt
> - 2023.2: https://docs.itential.com/itential-platform/2023-2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Delete a skill

DELETE https://example.itential.io/agent-project-service/skills/{skillId}

Deletes a skill. The skill is no longer listed, attached, run, viewed, or downloaded, but its versions are kept and agents that reference it are not modified. Requires write access to the skill.

Reference: https://docs.itential.com/itential-platform/6/api-reference/agent-project-service/delete-skill

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `skillId` (string, required) — Skill id (UUID).

## Response

### 200

The deleted Skill, as it was at its latest version.

- `message` (string, required)
- `data` (AgentProjectServiceSkillsSkillIdDeleteResponsesContentApplicationJsonSchemaData, required)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Types

### AgentProjectServiceSkillsSkillIdDeleteResponsesContentApplicationJsonSchemaData

- `skillId` (string, required) — Id of the deleted Skill.
- `name` (string, required) — Name of the deleted Skill.
- `description` (string, required) — Description of the deleted Skill.
- `version` (integer, required) — Latest version at the time of deletion.

## Examples

**Response**

```json
{
  "message": "string",
  "data": {
    "skillId": "string",
    "name": "string",
    "description": "string",
    "version": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/agent-project-service/skills/skillId"

response = requests.delete(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/agent-project-service/skills/skillId';
const options = {method: 'DELETE'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/agent-project-service/skills/skillId"

	req, _ := http.NewRequest("DELETE", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/agent-project-service/skills/skillId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://example.itential.io/agent-project-service/skills/skillId")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://example.itential.io/agent-project-service/skills/skillId');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/agent-project-service/skills/skillId");
var request = new RestRequest(Method.DELETE);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/agent-project-service/skills/skillId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```